Page MenuHomePhabricator

[libunwind] Make findUnwindSectionsByPhdr static
ClosedPublic

Authored by rprichard on Aug 21 2020, 2:27 PM.

Details

Summary

Currently, this function is present in the dynsym table of
libunwind.so (on ELF targets). Make the function static instead.

In the previous release (LLVM 10.x), this function was instead a lambda
function inside LocalAddressSpace::findUnwindSections, and because
LocalAddressSpace was marked with _LIBUNWIND_HIDDEN, the lambda
function was also a hidden symbol.

Diff Detail

Event Timeline

rprichard created this revision.Aug 21 2020, 2:27 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptAug 21 2020, 2:27 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
rprichard requested review of this revision.Aug 21 2020, 2:27 PM
rprichard edited the summary of this revision. (Show Details)Aug 22 2020, 5:12 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 22 2020, 5:13 PM
This revision was landed with ongoing or failed builds.
This revision was automatically updated to reflect the committed changes.

(This change was previously accepted when it was part of D86254.)

From the discussion on D86254, this should be cherry-picked to 11.x right?

From the discussion on D86254, this should be cherry-picked to 11.x right?

Correct. This findUnwindSectionsByPhdr change (D86372) is needed for 11.

From the discussion on D86254, this should be cherry-picked to 11.x right?

Correct. This findUnwindSectionsByPhdr change (D86372) is needed for 11.

If we do cherry-pick this to 11, I'm assuming that's something @hans would need to do, not I. Does there need to be a Bugzilla bug for this?

hans added a comment.Aug 25 2020, 4:40 AM

From the discussion on D86254, this should be cherry-picked to 11.x right?

Correct. This findUnwindSectionsByPhdr change (D86372) is needed for 11.

If we do cherry-pick this to 11, I'm assuming that's something @hans would need to do, not I. Does there need to be a Bugzilla bug for this?

No need to file a bug as long as I'm aware. I've cherry-picked it as 83338bed0c2078870b36a81fe9a36723bd3be2e5. Thanks!